#

TIME_UNITS = {'hour' : 60 * 60,
              'hours' : 60 * 60,
              'day' : 24 * 60 * 60,
              'days' : 24 * 60 * 60,
              'week' : 7 * 24 * 60 * 60,
              'weeks' : 7 * 24 * 60 * 60,
}

def joinBsmtp(first, second):
  if not first:
    return second
  if not second:
    return first
  firstlines = first.splitlines()
  if firstlines[-1] == "QUIT":
    firstlines = firstlines[:-1]
  secondlines = second.splitlines()
  if secondlines[0].split()[0] == "HELO":
    secondlines =secondlines[1:]
  return "\n".join(firstlines + secondlines) + "\n"

def simpleQuote(opaque):
  answer = ""
  for c in opaque:
    if c in "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-":
      answer += c
    else:
      answer += "_%d_" % (ord(c),)
  return answer

def quote_dots(mail):
  return ''.join(
    ['.' + line + '\n' if line.startswith('.') else line + '\n'
     for line in mail.splitlines()])
